Add buildroot 2018-02

This commit is contained in:
Pascal Vizeli
2018-03-17 23:47:00 +00:00
parent 3776c47f83
commit 67742041ad
10007 changed files with 405098 additions and 0 deletions

View File

@@ -0,0 +1,25 @@
config BR2_PACKAGE_NSS_PAM_LDAPD
bool "nss-pam-ldapd"
depends on BR2_TOOLCHAIN_USES_GLIBC
select BR2_PACKAGE_OPENLDAP
help
Name Service Switch (NSS) module that allows your LDAP
server to provide user account, group, host name, alias,
netgroup, and basically any other information that you would
normally get from /etc flat files or NIS. It also provides a
Pluggable Authentication Module (PAM) to do authentication
to an LDAP server.
http://arthurdejong.org/nss-pam-ldapd/
if BR2_PACKAGE_NSS_PAM_LDAPD
config BR2_PACKAGE_NSS_PAM_LDAPD_UTILITIES
bool "nss-pam-ldapd utilities"
help
Build/Install command-line utilities.
endif
comment "nss-pam-ldapd needs a glibc toolchain"
depends on !BR2_TOOLCHAIN_USES_GLIBC

View File

@@ -0,0 +1,25 @@
#!/bin/sh
NAME="nslcd"
DAEMON="/usr/sbin/${NAME}"
case "$1" in
start)
echo -n "Starting ${NAME}: "
start-stop-daemon -S -x ${DAEMON}
[ $? -eq 0 ] && echo "OK" || echo "FAIL"
;;
stop)
echo -n "Stopping ${NAME}: "
start-stop-daemon -K -x ${DAEMON}
[ $? -eq 0 ] && echo "OK" || echo "FAIL"
;;
restart|reload)
$0 stop
$0 start
;;
*)
echo "Usage: $0 {start|stop|restart|reload}"
exit 1
esac

View File

@@ -0,0 +1,11 @@
[Unit]
Description=Naming services LDAP client daemon.
After=syslog.target network.target
[Service]
Type=forking
PIDFile=/var/run/nslcd/nslcd.pid
ExecStart=/usr/sbin/nslcd
[Install]
WantedBy=multi-user.target

View File

@@ -0,0 +1,4 @@
# From https://arthurdejong.org/nss-pam-ldapd/nss-pam-ldapd-0.9.8.tar.gz.md5
md5 8c99fdc54f4bf9aca8c5f53fdb1403ff nss-pam-ldapd-0.9.8.tar.gz
# Locally computed:
sha256 ef7362e7f2003da8c7beb7bcc03c30494acf712625aaac8badc6e7eb16f3453f nss-pam-ldapd-0.9.8.tar.gz

View File

@@ -0,0 +1,46 @@
################################################################################
#
# nss-pam-ldapd
#
################################################################################
NSS_PAM_LDAPD_VERSION = 0.9.8
NSS_PAM_LDAPD_SITE = http://arthurdejong.org/nss-pam-ldapd
NSS_PAM_LDAPD_LICENSE = LGPL-2.1+
NSS_PAM_LDAPD_LICENSE_FILES = COPYING
NSS_PAM_LDAPD_INSTALL_STAGING = YES
NSS_PAM_LDAPD_CONF_OPTS = --disable-sasl
NSS_PAM_LDAPD_DEPENDENCIES = openldap
ifeq ($(BR2_PACKAGE_NSS_PAM_LDAPD_UTILITIES),y)
NSS_PAM_LDAPD_CONF_OPTS += --enable-utils
else
NSS_PAM_LDAPD_CONF_OPTS += --disable-utils
endif
ifeq ($(BR2_PACKAGE_LINUX_PAM),y)
NSS_PAM_LDAPD_CONF_OPTS += --enable-pam
NSS_PAM_LDAPD_DEPENDENCIES += linux-pam
else
NSS_PAM_LDAPD_CONF_OPTS += --disable-pam
endif
define NSS_PAM_LDAPD_INSTALL_INIT_SYSTEMD
$(INSTALL) -m 644 -D package/nss-pam-ldapd/nslcd.service \
$(TARGET_DIR)/usr/lib/systemd/system/nslcd.service
mkdir -p $(TARGET_DIR)/etc/systemd/system/multi-user.target.wants
ln -fs ../../../../usr/lib/systemd/system/nslcd.service \
$(TARGET_DIR)/etc/systemd/system/multi-user.target.wants/nslcd.service
endef
define NSS_PAM_LDAPD_INSTALL_INIT_SYSV
$(INSTALL) -m 755 -D package/nss-pam-ldapd/S45nslcd \
$(TARGET_DIR)/etc/init.d/S45nslcd
endef
define NSS_PAM_LDAPD_USERS
nslcd -1 nslcd -1 * - - - nslcd user
endef
$(eval $(autotools-package))